Bug 1285182 - docker-storage-setup does not start because volume group cannot be found [NEEDINFO]
docker-storage-setup does not start because volume group cannot be found
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: docker-storage-setup (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Vivek Goyal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 03:05 EST by Sascha Zantis
Modified: 2016-12-20 11:15 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:15:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dwalsh: needinfo? (vgoyal)


Attachments (Terms of Use)

  None (edit)
Description Sascha Zantis 2015-11-25 03:05:40 EST
Description of problem:
docker-storage-setup does not start on boot and can also not be started when the system is running.

This is the output of systemctl:

# systemctl status docker-storage-setup.service
● docker-storage-setup.service - Docker Storage Setup
   Loaded: loaded (/usr/lib/systemd/system/docker-storage-setup.service; disabled; vendor preset: disabled)
   Active: failed (Result: exit-code) since Wed 2015-11-25 08:39:53 CET; 18min ago
  Process: 11108 ExecStart=/usr/bin/docker-storage-setup (code=exited, status=1/FAILURE)
 Main PID: 11108 (code=exited, status=1/FAILURE)

Nov 25 08:39:53 l450 systemd[1]: Starting Docker Storage Setup...
Nov 25 08:39:53 l450 docker-storage-setup[11108]: Volume group "sda6" not found
Nov 25 08:39:53 l450 docker-storage-setup[11108]: Cannot process volume group sda6
Nov 25 08:39:53 l450 docker-storage-setup[11108]: No volume group has been specified and root device volume group could not be determined. Exiting.
Nov 25 08:39:53 l450 systemd[1]: docker-storage-setup.service: Main process exited, code=exited, status=1/FAILURE
Nov 25 08:39:53 l450 systemd[1]: Failed to start Docker Storage Setup.
Nov 25 08:39:53 l450 systemd[1]: docker-storage-setup.service: Unit entered failed state.
Nov 25 08:39:53 l450 systemd[1]: docker-storage-setup.service: Failed with result 'exit-code'.

This is my /etc/fstab

#
# /etc/fstab
# Created by anaconda on Thu Oct 22 21:57:13 2015
#
# Accessible filesystems, by reference, are maintained under '/dev/disk'
# See man pages fstab(5), findfs(8), mount(8) and/or blkid(8) for more info
#
UUID=e603c930-2915-440e-a495-6a5bfb80da6f /                       ext4    defaults        1 1
UUID=7f7278f0-df3b-4a46-acf0-a48ab3caf87e /boot                   ext4    defaults        1 2
UUID=9be1735d-28ad-4cbf-924a-399bb3757c29 /home                   ext4    defaults        1 2
UUID=c2c0fde0-ce36-4039-91e9-3bc90776d78c swap                    swap    defaults        0 0

Version-Release number of selected component (if applicable):
Name        : docker
Arch        : x86_64
Epoch       : 1
Version     : 1.8.2
Release     : 14.git8f9eabc.fc23

How reproducible:
Always
Comment 1 Stephen Gallagher 2015-12-03 21:19:13 EST
This happens on any system that isn't running atop LVM (which includes our Fedora Vagrant Image).

The correct behavior should, I think, be to change this from Requires= to Wants=, so that a failure here does not break startup of docker.
Comment 2 Thomas Drake-Brockman 2016-01-12 20:36:36 EST
I'm experiencing this issue also, my system uses btrfs rather than LVM.

Excerpt from boot.log:
[FAILED] Failed to start Docker Storage Setup.
See "systemctl status docker-storage-setup.service" for details.

Output of `systemctl status docker-storage-setup.service`:
● docker-storage-setup.service - Docker Storage Setup
   Loaded: loaded (/usr/lib/systemd/system/docker-storage-setup.service; disabled; vendor preset: disabled)
   Active: failed (Result: exit-code) since Wed 2016-01-13 09:29:28 AWST; 1min 29s ago
  Process: 948 ExecStart=/usr/bin/docker-storage-setup (code=exited, status=1/FAILURE)
 Main PID: 948 (code=exited, status=1/FAILURE)

Jan 13 09:29:28 zephon systemd[1]: Starting Docker Storage Setup...
Jan 13 09:29:28 zephon docker-storage-setup[948]: Volume group "sda4" not found
Jan 13 09:29:28 zephon docker-storage-setup[948]: Cannot process volume group sda4
Jan 13 09:29:28 zephon docker-storage-setup[948]: No volume group has been specified and root device volume group could not be determined. Exiting.
Jan 13 09:29:28 zephon systemd[1]: docker-storage-setup.service: main process exited, code=exited, status=1/FAILURE
Jan 13 09:29:28 zephon systemd[1]: Failed to start Docker Storage Setup.
Jan 13 09:29:28 zephon systemd[1]: Unit docker-storage-setup.service entered failed state.
Jan 13 09:29:28 zephon systemd[1]: docker-storage-setup.service failed.

Excerpt from /etc/fstab:
UUID=564b307e-3fa8-4775-bc66-f71bc6a25e8c /                       btrfs   subvol=root     0 0
UUID=92ee1cb6-5f5d-48ff-a822-f92070c1dc04 /boot                   ext4    defaults        1 2
UUID=3941-6D33          /boot/efi               vfat    umask=0077,shortname=winnt 0 0
UUID=564b307e-3fa8-4775-bc66-f71bc6a25e8c /home                   btrfs   subvol=home     0 0
UUID=5bd87084-13e2-4417-9205-eac6601f99c0 swap                    swap    defaults        0 0

Package details:
Name        : docker
Arch        : x86_64
Epoch       : 0
Version     : 1.8.2
Release     : 7.gitcb216be.fc22
Comment 3 Aditya Patawari 2016-02-16 05:18:43 EST
Bump.
I am hitting this as well. What is the workaround to make docker work here?
Comment 4 John Boero 2016-03-04 11:58:56 EST
I'm hitting this too in latest F23.  Highly annoying to bake a broken docker-storage-setup.service into docker.service.  Is nobody allowed to set up their own storage?  Also docker can't run whenever docker-storage-setup can't run.  I have to completely comment out the Wants line in systemd service file to make this work.

#Wants=docker-storage-setup.service
Comment 6 Fedora End Of Life 2016-11-24 08:42:55 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2016-12-20 11:15:51 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.